Summary:	Sample clients for XTrap X Server Extension
Summary(pl.UTF-8):	Przykładowe programy klienckie do rozszerzenia serwera X XTrap
Name:		xorg-app-xtrap
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xtrap-%{version}.tar.bz2
# Source0-md5:	ad434adab17ebc9d0a5ece33bbc55beb
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXTrap-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These commands are sample clients provided with the XTrap X Server
Extension, Version 3.3.

XTrap is an X Server extension which facilitates the capturing of
server protocol and synthesizing core input events.

%description -l pl.UTF-8
Polecenia z tego pakietu to przykładowe programy klienckie
udostępnione wraz z rozszerzeniem serwera X XTrap w wersji 3.3.

XTrap to rozszerzenie serwera X ułatwiające przechwytywanie protokołu
serwera i sztuczne wytwarzanie zdarzeń wejściowych.

%prep
%setup -q -n xtrap-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xtrap*
%{_mandir}/man1/xtrap*.1*
%changelog
* Sun Apr 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xtrap.git;a=log;h=auto/th/xorg-app-xtrap-1.0.3-1

* Sat Mar 31 2018 Jakub Bogusz <qboosh@pld-linux.org> 7f24c1b
- updated to 1.0.3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c00fb8e
- dropped pre-cvs changelog

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 96f4176
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8183a19
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 160a06d
- converted to UTF-8

* Mon Oct 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 5785656
- more verbose files

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> dc52b8d
- updated to 1.0.2, release 1

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 20e34d1
- 1.0.1 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> f8e0e82
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c6f701
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 9017496
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 9592d20
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 5849ffa
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 24d1741
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 5590992
- modular xorg specs

